ListApplications
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Retrieves a list of all of your applications. Results are paginated.
Request Syntax
GET /applications?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
The upper bound of the number of results to return (cannot exceed 25). If this parameter is omitted, it defaults to 25. This value is optional.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
The token to use to get the next page of results after a previous API call.
Length Constraints: Minimum length of 1. Maximum length of 2024.
Pattern:
[A-Za-z0-9+/=]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"applications": [
{
"arn": "string",
"creationTime": "string",
"description": "string",
"id": "string",
"lastUpdateTime": "string",
"name": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- applications
-
This list of applications.
Type: Array of ApplicationSummary objects
- nextToken
-
The token to use to get the next page of results after a previous API call.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2024.
Pattern:
[A-Za-z0-9+/=]+
Errors
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: